#!/bin/bash
set -e  # 遇到错误立即退出脚本

SERVICE_NAME="ikare.service"

# 检查服务是否存在
if ! systemctl list-unit-files | grep -q "^${SERVICE_NAME}"; then
    echo "错误：服务 ${SERVICE_NAME} 不存在！"
    exit 1
fi

# 停止正在运行的服务
echo "正在停止服务 ${SERVICE_NAME}..."
sudo systemctl stop "$SERVICE_NAME" || echo "警告：停止服务失败（可能未运行）"

# 禁用开机自启
echo "禁用开机启动..."
sudo systemctl disable "$SERVICE_NAME"

# 彻底锁定服务（阻止手动/依赖启动）
echo "锁定服务..."
sudo systemctl mask "$SERVICE_NAME"

# 验证状态
echo -e "\n验证结果："
echo "--------------------------------"
systemctl is-enabled "$SERVICE_NAME"  # 应显示 'masked'
echo "--------------------------------"
echo -e "\n当前状态："
systemctl status "$SERVICE_NAME" --no-pager -l
